Bug 552160 - [abrt] crash detected in firefox-3.5.6-1.fc12 @[nsXPConnect::Traverse]
[abrt] crash detected in firefox-3.5.6-1.fc12 @[nsXPConnect::Traverse]
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:dbe75922ba1de9fe1c44159e3da...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-04 03:47 EST by Richard Vrsnik
Modified: 2010-04-09 22:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-09 22:02:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.99 KB, text/plain)
2010-01-04 03:47 EST, Richard Vrsnik
no flags Details

  None (edit)
Description Richard Vrsnik 2010-01-04 03:47:32 EST
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5.6/firefox
component: firefox
executable: /usr/lib64/firefox-3.5.6/firefox
kernel: 2.6.31.9-174.fc12.x86_64
package: firefox-3.5.6-1.fc12
rating: 4
reason: Process was terminated by signal 11
Comment 1 Richard Vrsnik 2010-01-04 03:47:48 EST
Created attachment 381497 [details]
File: backtrace
Comment 2 Chris Campbell 2010-01-04 09:23:40 EST
#2  <signal handler called>
No symbol table info available.
#3  0x000000329007e287 in nsXPConnect::Traverse (this=<value optimized out>, 
    p=0x7f3c902a7e80, cb=...) at nsXPConnect.cpp:745
        traceKind = 0
        obj = 0x7f3c902a7e80
        type = <value optimized out>
        trc = {<JSTracer> = {context = 0x7f3ca1652000, 
            callback = 0x329007e1c5 <NoteJSChild(JSTracer*, void*, uint32)>}, 
          cb = @0x7fff162e62c0}
        cx = 0x7f3ca1652000
        clazz = 0x3b298c2e80
        dontTraverse = 0
        markJSObject = 0
#4  0x000000329095adf3 in GCGraphBuilder::Traverse (this=0x2, 
    aPtrInfo=0x7f3c8c515fb0) at nsCycleCollector.cpp:1372
        rv = <value optimized out>
#5  0x000000329095ae6d in nsCycleCollector::MarkRoots (
    this=<value optimized out>, builder=...) at nsCycleCollector.cpp:1571
        pi = <value optimized out>
#6  0x000000329095b612 in nsCycleCollector::BeginCollection (
    this=0x7f3cab988000) at nsCycleCollector.cpp:2504
        builder = {<nsCycleCollectionTraversalCallback> = {
            _vptr.nsCycleCollectionTraversalCallback = 0x329124e980}, 
          mNodeBuilder = {mNextBlock = 0x7f3c8c800000, 
            mNext = @0x7f3cab988078, mBlockEnd = 0x7f3c8c940008}, 
          mEdgeBuilder = {mCurrent = 0x7f3c8ca2ff80, 
            mBlockEnd = 0x7f3c8ca81ff0, mNextBlockPtr = 0x7f3c8ca81ff8}, 
          mPtrToNodeMap = {ops = 0x3291277e20, data = 0x0, hashShift = 15, 
            maxAlphaFrac = 192 '\300', minAlphaFrac = 64 '@', entrySize = 16, 
            entryCount = 78960, removedCount = 0, generation = 2, 
            entryStore = 0x7f3c8c600000 "\260\213\342t"}, 
          mCurrPi = 0x7f3c8c515fb0, mRuntimes = 0x7f3cab988010}
#7  0x000000329007ecf2 in XPCCycleCollectGCCallback (cx=0x7f3ca1652000, 
    status=JSGC_MARK_END) at nsXPConnect.cpp:390
No locals.
Comment 3 Chris Campbell 2010-01-04 11:15:32 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command, saved in a text file and attached to this bug:

$ rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo.

# debuginfo-install firefox

Then run firefox inside the gdb debugger. Please do the following:

$ firefox -g

Stuff will appear. Ignore this until you get the gdb command prompt, then do:

(gdb) run

Now, firefox should start up. Use it and reproduce the crash. When firefox crashes, you should be back to the gdb prompt. Now do:

(gdb) thread apply all backtrace

More screens of stuff will occur. Copy all of this part to your editor of choice, such as gedit, and save it as an uncompressed file and attach it to this bug report.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance, for your extra efforts.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Chris Campbell 2010-01-11 11:01:36 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Chris Campbell 2010-02-09 12:44:17 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Chris Campbell 2010-04-09 22:02:41 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.